2019-12-14 22:32 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004690Spring engineGeneralpublic2016-08-27 13:01
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target VersionFixed in Version 
Summary0004690: Chat input ignores keypresses
Description[Fx]Drone has reported an issue with entering text into the engine chat input box. Apparently this occurs in ZK and BAR. It occurs in ZK with luaui disabled.

The issue is that sometimes the chat input box ignores key presses. He will type a sentence and occasionally a character that he typed will not appear in the box. It usually takes a few presses of the key to make the character appear in the chatbox. This occurs once or twice per sentence. Hotkeys and other things that use key presses are unaffected.

He has windows 7 and a razer blackwidow keyboard.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0004706resolvedcleanrock Chatinput ignore first keypress if opened thru Lua 
+Relationships

-Notes

~0014107

silentwings (reporter)

Several BA players complain of this, to varying degrees, and I notice it too, although for me its very rare. I've no idea how to reproduce it reliably.

~0014108

Jools (reporter)

It's usually the first letter of each sentence that is ignored.

~0014937

Google_Frog (reporter)

Another report: https://github.com/ZeroK-RTS/Zero-K/issues/915

~0014940

hokomoko (developer)

I think it happens a lot after pressing backspace.

~0015104

kaen (reporter)

Last edited: 2015-08-30 21:39

View 3 revisions

I don't know much about Spring, so I leave it up to you to interpret the data.

I wrote a simple repro script for X11 systems:

#!/bin/bash
windowid=$(wmctrl -lx | grep spring.spring | cut -d' ' -f 1)
echo $windowid

while true ; do
  xdotool - <<EOF
key --window $windowid Return
key --window $windowid A
key --window $windowid B
key --window $windowid D
key --window $windowid BackSpace
key --window $windowid C
key --window $windowid Return
EOF
done


Requires the xdotool package on Ubuntu (and that you're using X11 :] )

Just start a skirmish game, then execute this script with bash. If you get errors about a bad or unknown window ID (or the input goes to your terminal emulator) check the output of
wmctrl -lx
and update the grep command to find the spring window.

I've uploaded my results from ZK on 91.0 vs 100.0. The random nightly builds of 98 I have don't exhibit the issue.

~0015582

gajop (developer)

I can't reproduce this on newest engine using kaen's script on neither BA nor ZK.
I used to have this issue before and it was rather annoying, is it gone for everyone (should the issue be closed)?
I've switched to chonsole a few months ago and that never had it

~0015583

Kloot (developer)

Last edited: 2016-01-30 12:10

View 2 revisions

Can still reproduce it, but I have to spam backspace keypresses first so I expect this would usually happen after erasing an entire sentence, then entering a new one (if users leave no delay after releasing backspace). Probably some stupid timing issue related to keyboard repeat rate.

~0015586

gajop (developer)

Does the bug occur with the script though (which should be instant)? It doesn't for me, and I tried a couple of variations (with more backspaces to clear everything out).

~0016630

hokomoko (developer)

Fix 2fffbca709e759a05fd52163ac106672dec98dbe committed to develop branch: Fix 0004690, repo: spring changeset id: 7274
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-03-03 03:19 Google_Frog New Issue
2015-03-03 09:41 silentwings Note Added: 0014107
2015-03-04 14:01 Jools Note Added: 0014108
2015-07-08 08:01 Google_Frog Note Added: 0014937
2015-07-08 11:00 cleanrock Relationship added related to 0004706
2015-07-08 12:33 hokomoko Note Added: 0014940
2015-08-30 21:27 kaen File Added: dropped-keys-91.png
2015-08-30 21:27 kaen File Added: dropped-keys-100.png
2015-08-30 21:27 kaen Note Added: 0015104
2015-08-30 21:28 kaen Note Edited: 0015104 View Revisions
2015-08-30 21:39 kaen Note Edited: 0015104 View Revisions
2016-01-30 10:55 gajop Note Added: 0015582
2016-01-30 12:07 Kloot Note Added: 0015583
2016-01-30 12:10 Kloot Note Edited: 0015583 View Revisions
2016-01-30 22:25 gajop Note Added: 0015586
2016-08-27 13:01 hokomoko Changeset attached => spring develop 2fffbca7
2016-08-27 13:01 hokomoko Note Added: 0016630
2016-08-27 13:01 hokomoko Assigned To => hokomoko
2016-08-27 13:01 hokomoko Status new => resolved
2016-08-27 13:01 hokomoko Resolution open => fixed
+Issue History